LOCALE_EN = {
  ["commands.remove"] = "<trees|enemies|decorations> - Remove all trees/enemies/decorations on the map. It\x27s only for late game stage, when map size is too large, and CPU is exhaust. In order to do not impact game performance, this command may run for a long time. See /help auto-remove for more information.",
  ["commands.auto-remove"] = "<trees|enemies|decorations> [on|off] - Auto remove trees/enemies/decorations when a new chunk generated. See /help remove for more information.",
  ["patch-remove.not-allowed"] = "You are not allowed to invoke this command.",
  ["patch-remove.task-posted"] = "Your request is posted into queue. In order to do not impact game performance, this command may run for a long time. See /help auto-remove for more information.",
  ["patch-remove.bad-command"] = "Bad command. Type \x27/help __1__\x27 for more information.",
  ["patch-remove.auto-remove-trees-on"] = "Auto remove trees: on",
  ["patch-remove.auto-remove-trees-off"] = "Auto remove trees: off",
  ["patch-remove.auto-remove-enemies-on"] = "Auto remove enemies: on",
  ["patch-remove.auto-remove-enemies-off"] = "Auto remove enemies: off",
  ["patch-remove.auto-remove-decorations-on"] = "Auto remove decorations: on",
  ["patch-remove.auto-remove-decorations-off"] = "Auto remove decorations: off",
  ["realm.banner"] = "This save is patched by factorio realm patch tool. Access https://factorio-realms.com for more information.",
  ["commands.announcement"] = "<edit|set|clear> [msg] - Edit/set/clear announcement. If you use subcommand \x27set\x27, you should quoted your msg. @NAME@ also can be used in announcement, it will be replaced as player\x27s name.",
  ["patch-announcement.title"] = "Announcement",
  ["patch-announcement.updated"] = "__1__ has updated announcement. Please read it carefully.",
  ["patch-announcement.not-allowed"] = "You are not allowed to invoke this command.",
  ["patch-announcement.bad-command"] = "Bad command, please type \x27/help announcement\x27 for more information.",
  ["patch-announcement.multiline-editor-required"] = "\x27multiline-editor\x27 patch is required by this command, please install it, or use /announcement set ...",
  ["patch-multiline-editor.ok"] = "OK",
  ["patch-multiline-editor.cancel"] = "Cancel",
  ["commands.map-clip-status"] = "- Report map clip patch status.",
  ["patch-map-clip.report"] = "__1__: __2__ chunks generated, __3__ chunks in use, __4__ chunks cliped.",
  ["commands.continuous-research"] = "[on|off] - Enable/disable continuous research. If this option enabled, upgradable research will not stop after one level researched.",
  ["patch-continuous-research.option-on"] = "Continuous search enabled.",
  ["patch-continuous-research.option-off"] = "Continuous search disabled.",
  ["patch-continuous-research.forbid"] = "You are not allowed to invoke this command.",
  ["global.msg-intro"] = "This is the Factorio freeplay. Your task is to launch a rocket into space. Do this by constructing a Rocket Silo and launching a rocket with a satellite. You will need to research advanced technologies in order to unlock the Rocket Silo. Start small, work your way up with automation and don\x27t forget to protect yourself from the natives.",
  ["commands.speed"] = "[new_speed] - Show or Change game speed. Please set game speed carefully, set a too large value may cause you cannot join game.",
  ["patch-speed.invalid"] = "Speed is out of range. See /help speed for more information.",
  ["patch-speed.out-of-range"] = "Speed is out of range.",
  ["patch-speed.updated"] = "Game speed has change to __1__ by __2__.",
  ["patch-speed.deny"] = "You are not allowed to change game speed.",
  ["patch-speed.show"] = "Current game speed: __1__.",
  ["commands.stat"] = "Analyze statistically entities on the map.",
  ["patch-statistics.title"] = "Statistics",
  ["patch-statistics.not-allowed"] = "You are not allow to invoke this command.",
  ["patch-statistics.task-posted"] = "Analytics task has been post to task queue. Command need about __1__ minutes. Please wait with patience.",
  ["patch-statistics.banner"] = "Statistics Result:",
  ["patch-statistics.stat-by-surface"] = "-   by surface: __1__",
  ["patch-statistics.stat-by-force"] = "-   by force: __1__",
  ["patch-statistics.stat-by-user"] = "-   by user: __1__",
  ["patch-statistics.stat-by-name"] = "-   by entity name: __1__",
  ["patch-statistics.stat-by-type"] = "-   by entity type: __1__",
  ["patch-statistics.stat-by-resource"] = "-   resource: __1__",
  ["patch-statistics.written-to-file"] = "Analyzing result has written to script-output/stat.txt",
  ["commands.target"] = "Set or remove task, type \x27/help-target\x27 for more help.",
  ["commands.help-target"] = "Detail help of /target",
  ["patch-target.title"] = "Mission targets",
  ["patch-target.help-1"] = "/target add item <item-name> number - Add target to produce such number of items.",
  ["patch-target.help-2"] = "/target add fluid <fluid-name> number - Add target to produce such number of items.",
  ["patch-target.help-3"] = "/target add technology <tech-name> level - Add target to level special technology to such level.",
  ["patch-target.help-4"] = "/target add launched <item-name> number - Launch such number of items to space.",
  ["patch-target.help-11"] = "/target remove <index> - Remove target by index, index should be 1,2,3...",
  ["patch-target.help-12"] = "This command will disable default victory condition.",
  ["patch-target.help-13"] = "Each force can set different targets, if you want to set another team\x27s targets, change your team first.",
  ["patch-target.not-allowed"] = "You are not allowed to invoke this command.",
  ["patch-target.cannot-run-in-terminal"] = "This command cannot be invoked in terminal.",
  ["patch-target.item-not-exists"] = "Item \x27__1__\x27 does not exists, have a check please.",
  ["patch-target.fluid-not-exists"] = "Fluid \x27__1__\x27 does not exists, have a check please.",
  ["patch-target.technology-not-exists"] = "Technology \x27__1__\x27 does not exists, have a check please.",
  ["patch-target.bad-command"] = "Bad command. Type \x27/help-target\x27 for more information.",
  ["patch-target.out-of-range"] = "Index out of range.",
  ["patch-target.default-task-disabled"] = "Game targets updated. Default victory condition has been disabled.",
  ["patch-target.default-task-enabled"] = "Default victory condition has been re-enabled.",
  ["patch-target.item-completed"] = "__1__ / __2__ produced",
  ["patch-target.fluid-completed"] = "__1__ / __2__ produced",
  ["patch-target.technology-completed"] = "__1__ / __2__ level",
  ["patch-target.launched-completed"] = "__1__ / __2__ launched",
  ["commands.print-names"] = "Print current selected entity, current taking item and current researching technology name.",
  ["patch-assist.cannot-run-in-terminal"] = "This command cannot be invoked in terminal.",
  ["patch-assist.dash"] = "--------------------------------------------------------------------------------",
  ["patch-assist.selected"] = "Current selecting entity name: __1__.",
  ["patch-assist.no-selected"] = "No selecting entity.",
  ["patch-assist.cursor-stack"] = "Current taking item name: __1__.",
  ["patch-assist.no-cursor-stack"] = "No taking item.",
  ["patch-assist.current-research"] = "Current researching technology name: __1__.",
  ["patch-assist.no-research"] = "No researching technology.",
  ["commands.welcome"] = "<set|clear|show> [msg] - Set welcome message, or clear welcome message, or show current welcome message. msg should be quoted if there are some whitespace in msg. Use \"\\\x01n\" to start a new line, and \"@NAME@\" to represent the name of login user. Such as: /welcome set \"Hi @NAME@,\\\x01nWelcome to my server!\"",
  ["patch-welcome.updated"] = "Welcome message is updated. type \x27/welcome show\x27 to show current welcome message.",
  ["patch-welcome.cleared"] = "Welcome message is cleared.",
  ["patch-welcome.bad-command"] = "Bad command, type \x27/help welcome\x27 for more information.",
  ["patch-welcome.no-welcome"] = "There\x27s no welcome message, now.",
  ["patch-welcome.not-allowed"] = "You are not allowed to change welcome message.",
  ["commands.guest"] = "<player1> [player2...] - Set specified player(s) as guest. You also can set players who are not in game yet as guest. When they join game, they will be set as guest immediately. Set as guest will remove from member list.",
  ["commands.member"] = "<player1> [player2...] - Set specified player(s) as member. You also can set players who are not in game yet as member. When they join game, they will be set as member immediately. Set as member will remove from guest list.",
  ["commands.guests"] = "- List all guests.",
  ["commands.members"] = "- List all members.",
  ["commands.new-player-as-guest"] = "[on|off] [unlock-password] - Set new player as or not guest, or show settings. If you set a unlock password, new players can join member list by type \x27/unlock <password>\x27",
  ["commands.unlock"] = "<password> - Unlock guest and join member by password. Guests locked by admin can not unlock themselves by password.",
  ["patch-guest.bad-command"] = "Bad command, see /help __1__ for more information.",
  ["patch-guest.set-as-guest"] = "__1__ is set as guest by __2__.",
  ["patch-guest.set-as-member"] = "__1__ is set as member by __2__.",
  ["patch-guest.guests-banner"] = "Guests (__1__):",
  ["patch-guest.guest-info"] = "__1__ (__2__, __3__)",
  ["patch-guest.not-in-game"] = "Not in game",
  ["patch-guest.online"] = "Online",
  ["patch-guest.offline"] = "Offline",
  ["patch-guest.can-unlock"] = "Can unlock by password",
  ["patch-guest.cannot-unlock"] = "Cannot unlock by password",
  ["patch-guest.you-have-been-set-as-guest"] = "You have beed set as a guest. You can travel around the map, and cannot build or fight.",
  ["patch-guest.you-have-been-set-as-guest-can-unlock"] = "You have beed set as a guest. You can travel around the map, and cannot build or fight. If you know unlock password, type \x27/unlock <password>\x27 to join game.",
  ["patch-guest.you-have-been-set-as-member"] = "You have beed set as a guest. You can build, fight in the map. Enjoy yourself.",
  ["patch-guest.members-banner"] = "Members (__1__):",
  ["patch-guest.member-info"] = "__1__ (__2__)",
  ["patch-guest.new-player-as-guest"] = "New player as guest: __1__",
  ["patch-guest.unlock-password-status"] = "Unlock password: __1__",
  ["patch-guest.on"] = "on",
  ["patch-guest.off"] = "off",
  ["patch-guest.cannot-run-in-terminal"] = "This command cannot run in terminal.",
  ["patch-guest.not-a-guest"] = "You are not a guest.",
  ["patch-guest.cannot-unlock-by-password"] = "Your account cannot unlock by password.",
  ["patch-guest.password-unlock-disabled"] = "Admins do not allow guests unlock by password.",
  ["patch-guest.password-error"] = "Password error.",
  ["patch-clock.yyyy-mm-dd-hh-mm"] = "__1__-__2__-__3__ __4__:__5__"
}